From 0b4f3849f8c913b8f23fbcafe38e17ae09d1e11e Mon Sep 17 00:00:00 2001
From: "Bryn M. Reeves" <bmr@redhat.com>
Date: Mon, 23 Jun 2014 16:22:50 +0100
Subject: [PATCH 12/13] [filesys] collect dumpe2fs -h output by default

Backport of d6272e0.
---
 sos/plugins/filesys.py | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

diff --git a/sos/plugins/filesys.py b/sos/plugins/filesys.py
index 85e8c24..c6fb777 100644
--- a/sos/plugins/filesys.py
+++ b/sos/plugins/filesys.py
@@ -21,7 +21,7 @@ class filesys(sos.plugintools.PluginBase):
     """information on filesystems
     """
     optionList = [("lsof", 'gathers information on all open files', 'slow', False)]
-    optionList = [("dumpe2fs", 'dump filesystem information', 'slow', False)]
+    optionList = [("dumpe2fs", 'dump full filesystem information', 'slow', False)]
 
     def setup(self):
         self.addCopySpec("/proc/filesystems")
@@ -71,8 +71,11 @@ class filesys(sos.plugintools.PluginBase):
         for i in devlist: 
             self.collectExtOutput("/sbin/parted -s %s print" % (i))
 
+        # by default only collect superblock information
+        dumpe2fs_opts = '-h'
         if self.getOption('dumpe2fs'):
-            for extfs in izip(self.doRegexFindAll(r"^(/dev/.+) on .+ type ext.\s+", mounts)):
-                self.collectExtOutput("/sbin/dumpe2fs %s" % (extfs))
+            dumpe2fs_opts = ''
+        for extfs in self.doRegexFindAll(r"^(/dev/.+) on .+ type ext.\s+", mounts):
+            self.collectExtOutput("/sbin/dumpe2fs %s %s" % (dumpe2fs_opts, extfs))
         return
 
-- 
1.9.3

